// package: bet.beteran.c2se.backend.member
// file: c2se/backend/member.proto

import * as jspb from 'google-protobuf';
import * as protobuf_rpc_error_pb from '../../protobuf/rpc/error_pb';
import * as protobuf_pagination_pagination_pb from '../../protobuf/pagination/pagination_pb';
import * as protobuf_pagination_search_pb from '../../protobuf/pagination/search_pb';
import * as protobuf_pagination_sort_pb from '../../protobuf/pagination/sort_pb';
import * as models_member_member_pb from '../../models/member/member_pb';

export const SUBJECT_CREATE_MEMBER: string;
export const SUBJECT_LIST_MEMBERS: string;
export const SUBJECT_GET_MEMBER: string;
export const SUBJECT_GET_MEMBER_BY_USERNAME: string;
export const SUBJECT_UPDATE_MEMBER: string;
export const SUBJECT_DELETE_MEMBER: string;

export class CreateMemberRequest extends jspb.Message {
  getSiteId(): string;
  setSiteId(value: string): void;

  getMemberClassId(): string;
  setMemberClassId(value: string): void;

  getMemberLevelId(): string;
  setMemberLevelId(value: string): void;

  hasReferrerMemberUsername(): boolean;
  clearReferrerMemberUsername(): void;
  getReferrerMemberUsername(): string;
  setReferrerMemberUsername(value: string): void;

  getUsername(): string;
  setUsername(value: string): void;

  getPassword(): string;
  setPassword(value: string): void;

  getNickname(): string;
  setNickname(value: string): void;

  hasMobilePhoneNumber(): boolean;
  clearMobilePhoneNumber(): void;
  getMobilePhoneNumber(): string;
  setMobilePhoneNumber(value: string): void;

  getState(): models_member_member_pb.MemberStateMap[keyof models_member_member_pb.MemberStateMap];
  setState(
    value: models_member_member_pb.MemberStateMap[keyof models_member_member_pb.MemberStateMap]
  ): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): CreateMemberRequest.AsObject;
  static toObject(
    includeInstance: boolean,
    msg: CreateMemberRequest
  ): CreateMemberRequest.AsObject;
  static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
  static extensionsBinary: {
    [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
  };
  static serializeBinaryToWriter(
    message: CreateMemberRequest,
    writer: jspb.BinaryWriter
  ): void;
  static deserializeBinary(bytes: Uint8Array): CreateMemberRequest;
  static deserializeBinaryFromReader(
    message: CreateMemberRequest,
    reader: jspb.BinaryReader
  ): CreateMemberRequest;
}

export namespace CreateMemberRequest {
  export type AsObject = {
    siteId: string;
    memberClassId: string;
    memberLevelId: string;
    referrerMemberUsername: string;
    username: string;
    password: string;
    nickname: string;
    mobilePhoneNumber: string;
    state: models_member_member_pb.MemberStateMap[keyof models_member_member_pb.MemberStateMap];
  };
}

export class CreateMemberResponse extends jspb.Message {
  hasError(): boolean;
  clearError(): void;
  getError(): protobuf_rpc_error_pb.Error | undefined;
  setError(value?: protobuf_rpc_error_pb.Error): void;

  hasResult(): boolean;
  clearResult(): void;
  getResult(): CreateMemberResponse.Result | undefined;
  setResult(value?: CreateMemberResponse.Result): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): CreateMemberResponse.AsObject;
  static toObject(
    includeInstance: boolean,
    msg: CreateMemberResponse
  ): CreateMemberResponse.AsObject;
  static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
  static extensionsBinary: {
    [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
  };
  static serializeBinaryToWriter(
    message: CreateMemberResponse,
    writer: jspb.BinaryWriter
  ): void;
  static deserializeBinary(bytes: Uint8Array): CreateMemberResponse;
  static deserializeBinaryFromReader(
    message: CreateMemberResponse,
    reader: jspb.BinaryReader
  ): CreateMemberResponse;
}

export namespace CreateMemberResponse {
  export type AsObject = {
    error?: protobuf_rpc_error_pb.Error.AsObject;
    result?: CreateMemberResponse.Result.AsObject;
  };

  export class Result extends jspb.Message {
    hasMember(): boolean;
    clearMember(): void;
    getMember(): models_member_member_pb.MemberModel | undefined;
    setMember(value?: models_member_member_pb.MemberModel): void;

    serializeBinary(): Uint8Array;
    toObject(includeInstance?: boolean): Result.AsObject;
    static toObject(includeInstance: boolean, msg: Result): Result.AsObject;
    static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
    static extensionsBinary: {
      [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
    };
    static serializeBinaryToWriter(
      message: Result,
      writer: jspb.BinaryWriter
    ): void;
    static deserializeBinary(bytes: Uint8Array): Result;
    static deserializeBinaryFromReader(
      message: Result,
      reader: jspb.BinaryReader
    ): Result;
  }

  export namespace Result {
    export type AsObject = {
      member?: models_member_member_pb.MemberModel.AsObject;
    };
  }
}

export class ListMembersRequest extends jspb.Message {
  hasPagination(): boolean;
  clearPagination(): void;
  getPagination(): protobuf_pagination_pagination_pb.Pagination | undefined;
  setPagination(value?: protobuf_pagination_pagination_pb.Pagination): void;

  clearSearchesList(): void;
  getSearchesList(): Array<protobuf_pagination_search_pb.Search>;
  setSearchesList(value: Array<protobuf_pagination_search_pb.Search>): void;
  addSearches(
    value?: protobuf_pagination_search_pb.Search,
    index?: number
  ): protobuf_pagination_search_pb.Search;

  clearSortsList(): void;
  getSortsList(): Array<protobuf_pagination_sort_pb.Sort>;
  setSortsList(value: Array<protobuf_pagination_sort_pb.Sort>): void;
  addSorts(
    value?: protobuf_pagination_sort_pb.Sort,
    index?: number
  ): protobuf_pagination_sort_pb.Sort;

  hasSiteId(): boolean;
  clearSiteId(): void;
  getSiteId(): string;
  setSiteId(value: string): void;

  hasMemberClassId(): boolean;
  clearMemberClassId(): void;
  getMemberClassId(): string;
  setMemberClassId(value: string): void;

  hasMemberLevelId(): boolean;
  clearMemberLevelId(): void;
  getMemberLevelId(): string;
  setMemberLevelId(value: string): void;

  hasReferrerMemberId(): boolean;
  clearReferrerMemberId(): void;
  getReferrerMemberId(): string;
  setReferrerMemberId(value: string): void;

  hasUsernameLike(): boolean;
  clearUsernameLike(): void;
  getUsernameLike(): string;
  setUsernameLike(value: string): void;

  hasNicknameLike(): boolean;
  clearNicknameLike(): void;
  getNicknameLike(): string;
  setNicknameLike(value: string): void;

  hasMobilePhoneNumberLike(): boolean;
  clearMobilePhoneNumberLike(): void;
  getMobilePhoneNumberLike(): string;
  setMobilePhoneNumberLike(value: string): void;

  hasLastSigninedIp(): boolean;
  clearLastSigninedIp(): void;
  getLastSigninedIp(): string;
  setLastSigninedIp(value: string): void;

  hasState(): boolean;
  clearState(): void;
  getState(): models_member_member_pb.MemberStateMap[keyof models_member_member_pb.MemberStateMap];
  setState(
    value: models_member_member_pb.MemberStateMap[keyof models_member_member_pb.MemberStateMap]
  ): void;

  hasDeletedAt(): boolean;
  clearDeletedAt(): void;
  getDeletedAt(): number;
  setDeletedAt(value: number): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): ListMembersRequest.AsObject;
  static toObject(
    includeInstance: boolean,
    msg: ListMembersRequest
  ): ListMembersRequest.AsObject;
  static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
  static extensionsBinary: {
    [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
  };
  static serializeBinaryToWriter(
    message: ListMembersRequest,
    writer: jspb.BinaryWriter
  ): void;
  static deserializeBinary(bytes: Uint8Array): ListMembersRequest;
  static deserializeBinaryFromReader(
    message: ListMembersRequest,
    reader: jspb.BinaryReader
  ): ListMembersRequest;
}

export namespace ListMembersRequest {
  export type AsObject = {
    pagination?: protobuf_pagination_pagination_pb.Pagination.AsObject;
    searchesList: Array<protobuf_pagination_search_pb.Search.AsObject>;
    sortsList: Array<protobuf_pagination_sort_pb.Sort.AsObject>;
    siteId: string;
    memberClassId: string;
    memberLevelId: string;
    referrerMemberId: string;
    usernameLike: string;
    nicknameLike: string;
    mobilePhoneNumberLike: string;
    lastSigninedIp: string;
    state: models_member_member_pb.MemberStateMap[keyof models_member_member_pb.MemberStateMap];
    deletedAt: number;
  };
}

export class ListMembersResponse extends jspb.Message {
  hasError(): boolean;
  clearError(): void;
  getError(): protobuf_rpc_error_pb.Error | undefined;
  setError(value?: protobuf_rpc_error_pb.Error): void;

  hasResult(): boolean;
  clearResult(): void;
  getResult(): ListMembersResponse.Result | undefined;
  setResult(value?: ListMembersResponse.Result): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): ListMembersResponse.AsObject;
  static toObject(
    includeInstance: boolean,
    msg: ListMembersResponse
  ): ListMembersResponse.AsObject;
  static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
  static extensionsBinary: {
    [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
  };
  static serializeBinaryToWriter(
    message: ListMembersResponse,
    writer: jspb.BinaryWriter
  ): void;
  static deserializeBinary(bytes: Uint8Array): ListMembersResponse;
  static deserializeBinaryFromReader(
    message: ListMembersResponse,
    reader: jspb.BinaryReader
  ): ListMembersResponse;
}

export namespace ListMembersResponse {
  export type AsObject = {
    error?: protobuf_rpc_error_pb.Error.AsObject;
    result?: ListMembersResponse.Result.AsObject;
  };

  export class Result extends jspb.Message {
    clearMembersList(): void;
    getMembersList(): Array<models_member_member_pb.MemberModel>;
    setMembersList(value: Array<models_member_member_pb.MemberModel>): void;
    addMembers(
      value?: models_member_member_pb.MemberModel,
      index?: number
    ): models_member_member_pb.MemberModel;

    serializeBinary(): Uint8Array;
    toObject(includeInstance?: boolean): Result.AsObject;
    static toObject(includeInstance: boolean, msg: Result): Result.AsObject;
    static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
    static extensionsBinary: {
      [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
    };
    static serializeBinaryToWriter(
      message: Result,
      writer: jspb.BinaryWriter
    ): void;
    static deserializeBinary(bytes: Uint8Array): Result;
    static deserializeBinaryFromReader(
      message: Result,
      reader: jspb.BinaryReader
    ): Result;
  }

  export namespace Result {
    export type AsObject = {
      membersList: Array<models_member_member_pb.MemberModel.AsObject>;
    };
  }
}

export class GetMemberRequest extends jspb.Message {
  getId(): string;
  setId(value: string): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): GetMemberRequest.AsObject;
  static toObject(
    includeInstance: boolean,
    msg: GetMemberRequest
  ): GetMemberRequest.AsObject;
  static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
  static extensionsBinary: {
    [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
  };
  static serializeBinaryToWriter(
    message: GetMemberRequest,
    writer: jspb.BinaryWriter
  ): void;
  static deserializeBinary(bytes: Uint8Array): GetMemberRequest;
  static deserializeBinaryFromReader(
    message: GetMemberRequest,
    reader: jspb.BinaryReader
  ): GetMemberRequest;
}

export namespace GetMemberRequest {
  export type AsObject = {
    id: string;
  };
}

export class GetMemberResponse extends jspb.Message {
  hasError(): boolean;
  clearError(): void;
  getError(): protobuf_rpc_error_pb.Error | undefined;
  setError(value?: protobuf_rpc_error_pb.Error): void;

  hasResult(): boolean;
  clearResult(): void;
  getResult(): GetMemberResponse.Result | undefined;
  setResult(value?: GetMemberResponse.Result): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): GetMemberResponse.AsObject;
  static toObject(
    includeInstance: boolean,
    msg: GetMemberResponse
  ): GetMemberResponse.AsObject;
  static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
  static extensionsBinary: {
    [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
  };
  static serializeBinaryToWriter(
    message: GetMemberResponse,
    writer: jspb.BinaryWriter
  ): void;
  static deserializeBinary(bytes: Uint8Array): GetMemberResponse;
  static deserializeBinaryFromReader(
    message: GetMemberResponse,
    reader: jspb.BinaryReader
  ): GetMemberResponse;
}

export namespace GetMemberResponse {
  export type AsObject = {
    error?: protobuf_rpc_error_pb.Error.AsObject;
    result?: GetMemberResponse.Result.AsObject;
  };

  export class Result extends jspb.Message {
    hasMember(): boolean;
    clearMember(): void;
    getMember(): models_member_member_pb.MemberModel | undefined;
    setMember(value?: models_member_member_pb.MemberModel): void;

    serializeBinary(): Uint8Array;
    toObject(includeInstance?: boolean): Result.AsObject;
    static toObject(includeInstance: boolean, msg: Result): Result.AsObject;
    static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
    static extensionsBinary: {
      [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
    };
    static serializeBinaryToWriter(
      message: Result,
      writer: jspb.BinaryWriter
    ): void;
    static deserializeBinary(bytes: Uint8Array): Result;
    static deserializeBinaryFromReader(
      message: Result,
      reader: jspb.BinaryReader
    ): Result;
  }

  export namespace Result {
    export type AsObject = {
      member?: models_member_member_pb.MemberModel.AsObject;
    };
  }
}

export class GetMemberByUsernameRequest extends jspb.Message {
  getUsername(): string;
  setUsername(value: string): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): GetMemberByUsernameRequest.AsObject;
  static toObject(
    includeInstance: boolean,
    msg: GetMemberByUsernameRequest
  ): GetMemberByUsernameRequest.AsObject;
  static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
  static extensionsBinary: {
    [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
  };
  static serializeBinaryToWriter(
    message: GetMemberByUsernameRequest,
    writer: jspb.BinaryWriter
  ): void;
  static deserializeBinary(bytes: Uint8Array): GetMemberByUsernameRequest;
  static deserializeBinaryFromReader(
    message: GetMemberByUsernameRequest,
    reader: jspb.BinaryReader
  ): GetMemberByUsernameRequest;
}

export namespace GetMemberByUsernameRequest {
  export type AsObject = {
    username: string;
  };
}

export class GetMemberByUsernameResponse extends jspb.Message {
  hasError(): boolean;
  clearError(): void;
  getError(): protobuf_rpc_error_pb.Error | undefined;
  setError(value?: protobuf_rpc_error_pb.Error): void;

  hasResult(): boolean;
  clearResult(): void;
  getResult(): GetMemberByUsernameResponse.Result | undefined;
  setResult(value?: GetMemberByUsernameResponse.Result): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): GetMemberByUsernameResponse.AsObject;
  static toObject(
    includeInstance: boolean,
    msg: GetMemberByUsernameResponse
  ): GetMemberByUsernameResponse.AsObject;
  static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
  static extensionsBinary: {
    [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
  };
  static serializeBinaryToWriter(
    message: GetMemberByUsernameResponse,
    writer: jspb.BinaryWriter
  ): void;
  static deserializeBinary(bytes: Uint8Array): GetMemberByUsernameResponse;
  static deserializeBinaryFromReader(
    message: GetMemberByUsernameResponse,
    reader: jspb.BinaryReader
  ): GetMemberByUsernameResponse;
}

export namespace GetMemberByUsernameResponse {
  export type AsObject = {
    error?: protobuf_rpc_error_pb.Error.AsObject;
    result?: GetMemberByUsernameResponse.Result.AsObject;
  };

  export class Result extends jspb.Message {
    hasMember(): boolean;
    clearMember(): void;
    getMember(): models_member_member_pb.MemberModel | undefined;
    setMember(value?: models_member_member_pb.MemberModel): void;

    serializeBinary(): Uint8Array;
    toObject(includeInstance?: boolean): Result.AsObject;
    static toObject(includeInstance: boolean, msg: Result): Result.AsObject;
    static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
    static extensionsBinary: {
      [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
    };
    static serializeBinaryToWriter(
      message: Result,
      writer: jspb.BinaryWriter
    ): void;
    static deserializeBinary(bytes: Uint8Array): Result;
    static deserializeBinaryFromReader(
      message: Result,
      reader: jspb.BinaryReader
    ): Result;
  }

  export namespace Result {
    export type AsObject = {
      member?: models_member_member_pb.MemberModel.AsObject;
    };
  }
}

export class UpdateMemberRequest extends jspb.Message {
  getId(): string;
  setId(value: string): void;

  hasSiteId(): boolean;
  clearSiteId(): void;
  getSiteId(): string;
  setSiteId(value: string): void;

  hasMemberLevelId(): boolean;
  clearMemberLevelId(): void;
  getMemberLevelId(): string;
  setMemberLevelId(value: string): void;

  hasPassword(): boolean;
  clearPassword(): void;
  getPassword(): string;
  setPassword(value: string): void;

  hasMobilePhoneNumber(): boolean;
  clearMobilePhoneNumber(): void;
  getMobilePhoneNumber(): string;
  setMobilePhoneNumber(value: string): void;

  hasState(): boolean;
  clearState(): void;
  getState(): models_member_member_pb.MemberStateMap[keyof models_member_member_pb.MemberStateMap];
  setState(
    value: models_member_member_pb.MemberStateMap[keyof models_member_member_pb.MemberStateMap]
  ): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): UpdateMemberRequest.AsObject;
  static toObject(
    includeInstance: boolean,
    msg: UpdateMemberRequest
  ): UpdateMemberRequest.AsObject;
  static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
  static extensionsBinary: {
    [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
  };
  static serializeBinaryToWriter(
    message: UpdateMemberRequest,
    writer: jspb.BinaryWriter
  ): void;
  static deserializeBinary(bytes: Uint8Array): UpdateMemberRequest;
  static deserializeBinaryFromReader(
    message: UpdateMemberRequest,
    reader: jspb.BinaryReader
  ): UpdateMemberRequest;
}

export namespace UpdateMemberRequest {
  export type AsObject = {
    id: string;
    siteId: string;
    memberLevelId: string;
    password: string;
    mobilePhoneNumber: string;
    state: models_member_member_pb.MemberStateMap[keyof models_member_member_pb.MemberStateMap];
  };
}

export class UpdateMemberResponse extends jspb.Message {
  hasError(): boolean;
  clearError(): void;
  getError(): protobuf_rpc_error_pb.Error | undefined;
  setError(value?: protobuf_rpc_error_pb.Error): void;

  hasResult(): boolean;
  clearResult(): void;
  getResult(): UpdateMemberResponse.Result | undefined;
  setResult(value?: UpdateMemberResponse.Result): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): UpdateMemberResponse.AsObject;
  static toObject(
    includeInstance: boolean,
    msg: UpdateMemberResponse
  ): UpdateMemberResponse.AsObject;
  static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
  static extensionsBinary: {
    [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
  };
  static serializeBinaryToWriter(
    message: UpdateMemberResponse,
    writer: jspb.BinaryWriter
  ): void;
  static deserializeBinary(bytes: Uint8Array): UpdateMemberResponse;
  static deserializeBinaryFromReader(
    message: UpdateMemberResponse,
    reader: jspb.BinaryReader
  ): UpdateMemberResponse;
}

export namespace UpdateMemberResponse {
  export type AsObject = {
    error?: protobuf_rpc_error_pb.Error.AsObject;
    result?: UpdateMemberResponse.Result.AsObject;
  };

  export class Result extends jspb.Message {
    hasMember(): boolean;
    clearMember(): void;
    getMember(): models_member_member_pb.MemberModel | undefined;
    setMember(value?: models_member_member_pb.MemberModel): void;

    serializeBinary(): Uint8Array;
    toObject(includeInstance?: boolean): Result.AsObject;
    static toObject(includeInstance: boolean, msg: Result): Result.AsObject;
    static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
    static extensionsBinary: {
      [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
    };
    static serializeBinaryToWriter(
      message: Result,
      writer: jspb.BinaryWriter
    ): void;
    static deserializeBinary(bytes: Uint8Array): Result;
    static deserializeBinaryFromReader(
      message: Result,
      reader: jspb.BinaryReader
    ): Result;
  }

  export namespace Result {
    export type AsObject = {
      member?: models_member_member_pb.MemberModel.AsObject;
    };
  }
}

export class DeleteMemberRequest extends jspb.Message {
  getId(): string;
  setId(value: string): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): DeleteMemberRequest.AsObject;
  static toObject(
    includeInstance: boolean,
    msg: DeleteMemberRequest
  ): DeleteMemberRequest.AsObject;
  static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
  static extensionsBinary: {
    [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
  };
  static serializeBinaryToWriter(
    message: DeleteMemberRequest,
    writer: jspb.BinaryWriter
  ): void;
  static deserializeBinary(bytes: Uint8Array): DeleteMemberRequest;
  static deserializeBinaryFromReader(
    message: DeleteMemberRequest,
    reader: jspb.BinaryReader
  ): DeleteMemberRequest;
}

export namespace DeleteMemberRequest {
  export type AsObject = {
    id: string;
  };
}

export class DeleteMemberResponse extends jspb.Message {
  hasError(): boolean;
  clearError(): void;
  getError(): protobuf_rpc_error_pb.Error | undefined;
  setError(value?: protobuf_rpc_error_pb.Error): void;

  hasResult(): boolean;
  clearResult(): void;
  getResult(): DeleteMemberResponse.Result | undefined;
  setResult(value?: DeleteMemberResponse.Result): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): DeleteMemberResponse.AsObject;
  static toObject(
    includeInstance: boolean,
    msg: DeleteMemberResponse
  ): DeleteMemberResponse.AsObject;
  static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
  static extensionsBinary: {
    [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
  };
  static serializeBinaryToWriter(
    message: DeleteMemberResponse,
    writer: jspb.BinaryWriter
  ): void;
  static deserializeBinary(bytes: Uint8Array): DeleteMemberResponse;
  static deserializeBinaryFromReader(
    message: DeleteMemberResponse,
    reader: jspb.BinaryReader
  ): DeleteMemberResponse;
}

export namespace DeleteMemberResponse {
  export type AsObject = {
    error?: protobuf_rpc_error_pb.Error.AsObject;
    result?: DeleteMemberResponse.Result.AsObject;
  };

  export class Result extends jspb.Message {
    serializeBinary(): Uint8Array;
    toObject(includeInstance?: boolean): Result.AsObject;
    static toObject(includeInstance: boolean, msg: Result): Result.AsObject;
    static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
    static extensionsBinary: {
      [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
    };
    static serializeBinaryToWriter(
      message: Result,
      writer: jspb.BinaryWriter
    ): void;
    static deserializeBinary(bytes: Uint8Array): Result;
    static deserializeBinaryFromReader(
      message: Result,
      reader: jspb.BinaryReader
    ): Result;
  }

  export namespace Result {
    export type AsObject = {};
  }
}
